iDroid installer by Gianguido :) [Ux4]

UPDATE: ARCHIVIO PER LINUX FIXATO

Permettetemelo, ma ho scritto un mio piccolo installer per iDroid🙂

Principalmente, per necessità di alcuni miei amici, e sopratutto perché non volevo più vedere gente dietro a quell’accozzaglia di codice chiamato iPhoDroid.

Non funziona. Punto.

E quindi come già detto, ho cercato di ovviare ad un’installazione piuttosto ostica per molti, scrivendo un piccolo script in bash che automatizza il tutto.

Non dovrete fare altro che leggere quello che esce scritto sullo schermo, niente di più😉

È facile utilizzarlo🙂

ISTRUZIONI PER MAC (Snow Leopard richiesto) NON FUNZIONANTI PER ORA, BUG IN “OIBC”

  • scaricare questo archivio
  • estrarlo sul desktop
  • aprire un terminale ed eseguire questi comandi in serie: cd Desktop –> cd Installer –> chmod +x ./installer.sh –> ./installer.sh
  • seguire l’installazione😀

ISTRUZIONI PER LINUX

  • scaricare questo archivio
  • estrarlo sul desktop
  • aprire un terminale ed eseguire questi comandi in serie: cd Desktop (o “cd Scrivania” se siete su ubuntu) –> cd Installer-linux –> chmod +x ./installer.sh –> installer.sh
  • seguire l’installazione😀

Come potete vedere, le operazioni sono poche e semplici, quindi non mi sento di dirvi altro che buon iDroid😉

UPDATE: ecco la versione per iPod Touch 1G😀 Le istruzioni per installarla sono le stesse della versione per linux –> download

40 pensieri su “iDroid installer by Gianguido :) [Ux4]

  1. gmilh

    Ho provato e sono arrivato all’inizio dell’installazione vera e propria (o fatto solo partire il processo).
    Domani lo provo su iTouch 1G, oggi non posso perché mi serve iRecovery e non ho tempo di fare downgrade, jailbreak, ecc.

    Rispondi
  2. Laura

    ciao! ascoltate: due domande. Si installa in automatico anche iboot? secondo, se su terminale scrivo cd scrivania a me non viene fuori nulla…:0) scusate ma ho sempre usato win (purtroppo)!

    Rispondi
    1. Gianguido

      si installa automaticamente anche openiboot🙂
      attenzione alle maiuscole! su linux “Scrivania” è diverso da “scrivania”😉

      Rispondi
  3. Laura

    @gianguido: grazie mille per la dritta! ultimo consiglio: ho letto che a breve ci sarà il porting di android froyo, tu che consigli, aspettare o installare la 1.6?

    Rispondi
  4. Gianguido

    installa la 1.6, ho provato personalmente froyo (se hai letto su idroid.it sono admin anche lì) e non è affatto pronto per un uso normale, la nuova versione di idroid (la 0.2b basata su android 1.6) è quasi perfetta🙂

    Rispondi
  5. Crockard

    Che bel lavoro che hai fatto! Complimentissimi!
    Domandina🙂 : sbaglio o un ulteriore prerequisito è che l’iPhone monti il firmware 3.1.2, corretto?
    Vorrei provare sul mio 3G … ha il WiFi morto dal primo aggiornamento al 3.0, chissà magari iDroid lo fa resuscitare😀

    Rispondi
  6. Gianguido

    mhmm è preferibile avere la 3.1.2🙂 azzo infatti ho letto sul tuo blog un po di tempo fa… se è un problema software sicuramente😀

    Rispondi
  7. Crockard

    hihihi …. infatti … sono proprio curioso di provare!🙂
    Ok allora ho tirato su una bella linuxbox con Xubuntu (ho a disposizione un Thinkpad T22 e non posso fare di meglio al momento) e mi sto dilettando nel tuo script.
    Purtroppo però ricevo il seguente errore dopo che lancio lo script, metto l’iPhone in recovery mode e premo invio:
    sudo: ./loadibec: command not found
    Nella cartella Installer-Linux il file loadibec è presente …
    Sembra un errore sui percorsi, ma come risolvo?
    (non sono proprio skillato su Linux :S)

    Rispondi
  8. Lime

    Confermo mi da lo stesso sudo: ./loadibec: command not found, io ho un ipod touch 1g, inoltre nelle istruzioni sta scritto che bisogna spostarsi coi tasti volume! ma quali tasti volume? la 1g non li ha!

    Rispondi
  9. Gianguido

    per l’ipt1g puoi usare il tasto power🙂 è l’hosting che corrompe gli archivi, mi sto attrezzando per un server casalingo🙂

    Rispondi
  10. Lime

    grande grazie mille! non serve un ipod jailbreakkato? nelle istruzioni non è riportato! ultima domanda a tutt’oggi viene installata la 1.6? comunque grazie mille per questo bellissimo porting!

    Rispondi
    1. Gianguido

      si l’ipod jailbreakkato è un prerequisito sottinteso🙂 ora lo scrivo allora🙂 comunque si installa la 1.6 ma stanno iniziando il porting della 2.2🙂 il porting non è mio, ho solo scritto questo piccolo installer😉

      Rispondi
  11. Lime

    un sogno divenuto realtà, devo essere sincero, odio un pò l’OS apple!🙂 allora attenderò la 2.2 che so essere una bomba! si sa un periodo circa in cui avremo anche noi possessori di ipodtouch questo gioiellino?

    Rispondi
  12. Gianguido

    guarda, su ipodtouchfans c’è un tizo che dice di aver portato la 2.2 sul touch con qualche successo… ma alla fine cambia il kernel, puoi tranquillamente scaricarti una build di froyo, mettere il kernel dell’ipod touch e provare, tanto niente succede😀
    io da parte mia, in /var ho fatto una cartella con froyo, quando mi viene lo sfizio di provarlo, cambio i file e via🙂 scriverò in serata un articolo anche sul mio setup di idroid, quindi se ti serve una ispirazione tra qualche ora l’avrai🙂

    Rispondi
  13. Gianguido

    mah non so cosa dirti, non ho un ipod con cui provare… sinceramente non so nemmeno se funziona il jack audio… domani provo🙂

    Rispondi
  14. Crockard

    grazie ancora Gianguido per tutto il supporto!
    Alla fine nn avendo il Wifi funzionante ho copiato a mano con iFunbox : iDroid funziona benone tranne la parte telefonica, forse perchè il mio iPhone 3G è straniero?

    Rispondi
  15. spst99

    Ciao. Ho trovato questo link su google. Sarei molto interssato a provare la versione di installazione su linux. Purtroppo il link su mediafire non funziona. Quando clicchi su download appare dopo pochi secondi una pagina bianca con scritto ” Il sito Web ha rifiutato di visualizzare la pagina Web”. Esiste un link alternativo?

    Grazie ancora.

    Rispondi
    1. Gianguido

      Ah, sono contento che Google faccia il suo lavoro😀
      A me il link funziona perfettamente, magari prova a cambiare connessione🙂

      Rispondi
  16. davide

    ciao!! ho un problema con l’installazione…una volta che la faccio partire,mi si blocca sul punto ‘download idroid’ e da li non succede più niente….quindi mi ritrovo con il telefono con installato openiboot ma niente android…dopo una serie di tentativi di disinstallare openiboot ho deciso di installare android manualmente,inserendo tutti i file che ci sono nel tuo script più android nelle cartelle corrette in /private/var e private/var/firmware…reboot dell’iphone,ma quando da openiboot scelgo android,mi si blocca alla fine della pagina su ‘WELCOME TO OPENIBOOT’ …come posso fare a risolvere???

    Rispondi
  17. zetagabri

    NON FUNZIONA!!!!

    ” ./loadibec: error while loading shared libraries: libusb-1.0.so.0: cannot open shared object file: No such file or directory”

    le librerie ci stanno!!

    Rispondi
    1. AndreaC

      Se la libreria esiste allora il linker non la trova nelle directory che conosce.

      Lancia questo comando prima di lanciare lo script:

      export LD_LIBRARY_PATH=/percorso/alla/libreria:$LD_LIBRARY_PATH

      con /percorso/alla/libreria intendo il path assoluto alla libreria senza includere la libreria stessa, in pratica alla directory che la contiene.

      Ciao!

      Rispondi
  18. Gianguido


    zetagabri:

    NON FUNZIONA!!!!
    ” ./loadibec: error while loading shared libraries: libusb-1.0.so.0: cannot open shared object file: No such file or directory”
    le librerie ci stanno!!

    sicuro? linux non da mai un errore a caso. che distro stai usando? comunque installa la versione 1.6 di android🙂

    Rispondi
  19. zetagabri

    Grazie per la risposta…
    Uso la 10.04 64 bit
    Da Synaptic risulta installata la libreria libusb-1.4-0, e la libusb.1.0-0. C’è disponibile la libusb-1.0-0-dev ma non esiste la libusb-1.0.so.0 che viene richiesta dall’installazione. Ho provato anche con apt-get…

    Rispondi
  20. zetagabri

    Aggiungo:
    con il comando locate libusb mi trova anche installata in /lib la libsub-1.0.so.0
    Ma in realtà l’errore non dice che non la trova dice che non riesce a caricarla…..

    Rispondi
    1. AndreaC

      Per sapere quale libreria è necessario utilizzare dove vedere se il file è un eseguibile a 32 o 64.

      Lo vedete con il comando:

      file nome_file

      Comunque il problema, se la libreria esiste, è come dicevo sopra nel linker.

      Quindi o modificate l’LD_LIBRARY_PATH o l’ld.conf

      Fatemi sapere se necessitate di ulteriore aiuto.

      Ciao!

      Rispondi

Lascia un commento

Inserisci i tuoi dati qui sotto o clicca su un'icona per effettuare l'accesso:

Logo WordPress.com

Stai commentando usando il tuo account WordPress.com. Chiudi sessione / Modifica )

Foto Twitter

Stai commentando usando il tuo account Twitter. Chiudi sessione / Modifica )

Foto di Facebook

Stai commentando usando il tuo account Facebook. Chiudi sessione / Modifica )

Google+ photo

Stai commentando usando il tuo account Google+. Chiudi sessione / Modifica )

Connessione a %s...